MKPROTO(1)

NAME
mkproto - create a MINIX 3 prototype file

SYNOPSIS
mkproto [-b n] [-d str] [-g n] [-i n] [-p nnn] [-s] [-t root] [-u n] source_directory [prototype_file]

OPTIONS

-b  # Number of blocks in the prototype is n

-d  # Indent the prototype file using str instead of tab

-g  # Use n as the gid for all files and directories

-i  # Number of i-nodes in the prototype is n

-p  # Use nnn (3 octal digits) as the protection mode

-s  # Use the same uid, gid and mode as the source files have

-t  # Use the string root as the path prefix for every file

-u  # Use n as the uid for all files and directories

EXAMPLES

mkproto -b360
    # Make a 360K prototype of this directory

mkproto -u2 -g1 -p644
    # Give all files uid 2, gid 1 and mode 644

DESCRIPTION

Mkproto creates an mkfs prototype file for the specified source-directory. The prototype file is either written to stdout or, if specified, the proto-file.

SEE ALSO
mkfs(1).